body{
    width:100%;
    margin: 0;
    padding: 0;
}

/* Header */

.heading{
    margin-top: 10px; 
    display: flex;
    justify-content: center;
    color: black;
}

a{
    text-decoration: none;
    color: black;
}

.cart{
    position: absolute;
    margin:10px;
    top:0;
    right:0;
    width: 25px;
    height: 25px;
}

.back{
    position: absolute;
    margin:10px;
    top:0;
    left:0;
    width: 25px;
    height: 25px;
}

/* NavigationBar */

.nav{
    display: flex;
    list-style-type: none;
    justify-content: center;
    flex-direction: row;
}

li{
    margin:0 2%;
}

/* Product Description */

.mastercontainer{
    display: flex;
    width:100%;
    justify-content: center;
    flex-direction: row;
    padding-top: 2em;
}

.containerproduct{
    width:47%;
    height:auto;
}

.product{
    height: 100%;
    width: 100%;
    object-fit: contain;
    object-position: top;
}

.maindescription{
    width:50%;
    padding-top: 1em;
}

.topofdescription{
    font-size: 2.8em;
}

select {
    margin: 3px;
    width: 99%;
    padding: 12px 15px;
    border: none;
    border-radius: 4px;
    background-color: #f1f1f1;
}

.addtocart{
    display: flex;
    justify-content: center;
    margin: 40px 0 50px 0;
    padding:10px;
    background: white;
    border-color: black;
    border-style: solid;
    border-width: 2px;
}

/* Footer */

footer{
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.madebypolymer{
    display: flex;
    width: 100%;
    justify-content: center;
}

.containerdemoonly{
    display: flex;
    justify-content: center;        
}

.demoonly{
    background-color: black;
    color: blanchedalmond;
    padding:10px 20px;
    margin-top: 10px;
}

.label{
    display: flex;
    justify-content: center;
    padding-top: 30px;
    width: 100%;
}

@media only screen and (max-width: 700px) {

    body{
        margin-bottom: 50px;
    }

    .mastercontainer{
        flex-direction: column;
    }
    
    .containerproduct{
        width:97%;
        height: 100%;
    }
    
    .maindescription{
        width:97%;
        margin: 10px;
        padding-top: 1em;
    }
    .nav {
        display: flex;
        flex-direction: column;
    }

    .element{
        display: flex;
        margin:2px;
        padding:3px;
        background-color: whitesmoke;
        justify-content: center;
    }

    footer{
        display: none;
    }

    .madebypolymer{
        display: none;
    }
    
    .containerdemoonly{
        display: none;
        padding: 0;
    }

    .addtocart{
        position: fixed;
        margin: 0;
        bottom: 0;
        right: 0;
        left: 0;
    }
    
}